<template>
    <!-- question: 1 ---------------------------------------------------------- -->
    <div class='swiper-slide selection-question' data-hash='Q1'>
        <div class='outer'>
            <h1>Where will the shredder be used?</h1>
            <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Lorem ipsum dolor sit tempor.
            </p>
            <div>
                <label v-on:click="pickAnswer('home')" class='button has-figure'>
                    <span class='button-figure figure-home-office'></span>
                    <span class='button-caption'>Home Office</span>
                </label>

                <label v-on:click="pickAnswer('biz')" class='button has-figure'>
                    <span class='button-figure figure-business-office'></span>
                    <span class='button-caption'>Business Office</span>
                </label>

                <label v-on:click="pickAnswer('gov')" class='button has-figure'>
                    <span class='button-figure figure-gov-agency'></span>
                    <span class='button-caption'>Government Agency</span>
                </label>
            </div>
        </div>
    </div></template>

<script>
  import { mapGetters, mapMutations } from 'vuex'

  export default {
    name: 'Question1',
    computer: {
      ...mapGetters(['isQuestion', 'answers']),
    },

    methods: {
      ...mapMutations(['goto', 'setLocation']),

      pickAnswer(answer) {
        this.setLocation(answer);
        this.goto(2);
      }

    }
  }
</script>